package net.wanji.opt.cache;

import lombok.extern.slf4j.Slf4j;
import net.wanji.databus.dao.entity.GreenCrossDirDTO;
import net.wanji.databus.dao.mapper.GreenwaveCrossMapper;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author duanruiming
 * @date 2025/04/01 14:18
 */
@Component
@Slf4j
public class GreenCrossDirInfoCache implements CommandLineRunner {

    @Resource
    private GreenwaveCrossMapper greenwaveCrossMapper;

    public static List<GreenCrossDirDTO> greenCrossDirCache = new ArrayList<>();

    @Override
    public void run(String... args) throws Exception {
        try {
            init();
        } catch (Exception e) {
            log.error("缓存加载失败：", e);
            throw new RuntimeException(e);
        }
    }

    public void init() {
        try {
            List<GreenCrossDirDTO> greenCrossDirDTOS = greenwaveCrossMapper.selectAllGreenCrossDir();
            greenCrossDirCache.addAll(greenCrossDirDTOS);
        } catch (Exception e) {
            log.error("缓存加载失败：", e);
            throw new RuntimeException(e);
        }
    }
}
