package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/03 19:14
 * @description
 */
@Getter
@AllArgsConstructor
public enum LaneTurnEnum {
    LEFT_TURN(1, "左转"),
    STRAIGHT(2, "直行"),
    RIGHT_TURN(3, "右转"),
    U_TURN(4, "掉头"),
    STRAIGHT_LEFT(5, "直左"),
    STRAIGHT_RIGHT(6, "直右"),
    STRAIGHT_LEFT_RIGHT(7, "左直右"),
    LEFT_RIGHT(8, "左右"),
    LEFT_U_TURN(9, "左转掉头"),
    STRAIGHT_U_TURN(10, "直行掉头"),
    RIGHT_U_TURN(11, "右转掉头"),
    LEFT_STRAIGHT_U_TURN(12, "左直掉头"),
    STRAIGHT_RIGHT_U_TURN(13, "直右掉头"),
    ALL_DIRECTIONS(14, "左直右掉头"),
    LEFT_RIGHT_U_TURN(15, "左右掉头");


    private Integer code;
    private String description;
    public static String getDesc(Integer dir) {
        for (LaneTurnEnum dirEnum : LaneTurnEnum.values()) {
            if (Objects.equals(dir, dirEnum.getCode())) {
                return dirEnum.getDescription();
            }
        }
        return STRAIGHT.description;
    }

}
