package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/10 17:27
 */
@Getter
@AllArgsConstructor
public enum RoadLevelEnum {
    HIGHWAY(41000, "高速公路"),
    NATIONAL_HIGHWAY(42000, "国道"),
    URBAN_EXPRESSWAY(43000, "城市快速路"),
    URBAN_MAIN_ROAD(44000, "城市主干道"),
    URBAN_SECONDARY_ROAD(45000, "城市次干道"),
    URBAN_ORDINARY_ROAD(47000, "城市普通道路"),
    PROVINCIAL_ROAD(51000, "省道"),
    COUNTY_ROAD(52000, "县道"),
    TOWN_ROAD(53000, "乡道"),
    RURAL_INTERNAL_ROAD(54000, "县乡村内部道路"),
    SMALL_ROAD(49, "小路");

    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (RoadLevelEnum value : RoadLevelEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.desc;
            }
        }
        return URBAN_SECONDARY_ROAD.desc;
    }
}
