package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/11 20:33
 */
@Getter
@AllArgsConstructor
public enum WeekEnum {
    MON(1, "周一"),
    TUE(2, "周二"),
    WED(3, "周三"),
    THU(4, "周四"),
    FRI(5, "周五"),
    SAT(6, "周六"),
    SUN(7, "周日");
    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (WeekEnum value : WeekEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.getDesc();
            }
        }
        return WeekEnum.MON.getDesc();
    }
}
