package net.wanji.opt.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

@SuppressWarnings("all")
public enum DirEnum {

    //******************************************************//
    NORTH("1", "北"),
    EAST_NORTH("2", "东北"),
    EAST("3", "东"),
    EAST_SOUTH("4", "东南"),
    SOUTH("5", "南"),
    WEST_SOUTH("6", "西南"),
    WEST("7", "西"),
    WEST_NORTH("8", "西北");
    //******************************************************//
    private String type;
    private String name;

    DirEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getName(String type) {
        for (DirEnum typeEnum : DirEnum.values()) {
            if (Objects.equals(typeEnum.type, type)) {
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(DirEnum type) {
        for (DirEnum typeEnum : DirEnum.values()) {
            if (Objects.equals(typeEnum, type)) {
                return typeEnum.type;
            }
        }
        return null;
    }

    /**
     * 八方向
     */
    @Getter
    @AllArgsConstructor
    public enum SignalDirectionEnum {
        N(1, "北", "N"),
        EN(2, "东北", "EN"),
        E(3, "东", "E"),
        ES(4, "东南", "ES"),
        S(5, "南", "S"),
        WS(6, "西南", "WS"),
        W(7, "西", "W"),
        WN(8, "西北", "WN");

        private Integer code;

        private String name;

        private String nick;

        public static SignalDirectionEnum getNickByCode(int code) {
            for (SignalDirectionEnum signalDirectionEnum : SignalDirectionEnum.values()) {
                if (signalDirectionEnum.getCode() == code) {
                    return signalDirectionEnum;
                }
            }
            return null;
        }

        public static String getNameByCode(int code) {
            for (SignalDirectionEnum signalDirectionEnum : SignalDirectionEnum.values()) {
                if (signalDirectionEnum.getCode() == code) {
                    return signalDirectionEnum.getName();
                }
            }
            return null;
        }

        public static SignalDirectionEnum getNameByNick(String nick) {
            for (SignalDirectionEnum signalDirectionEnum : SignalDirectionEnum.values()) {
                if (signalDirectionEnum.getNick().equals(nick)) {
                    return signalDirectionEnum;
                }
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (SignalDirectionEnum signalDirectionEnum : SignalDirectionEnum.values()) {
                if (Objects.equals(signalDirectionEnum.getName(), name)) {
                    return signalDirectionEnum.getCode();
                }
            }
            return null;
        }

    }

}
