package net.wanji.opt.dao.mapper;

import net.wanji.opt.synthesis.pojo.*;
import net.wanji.opt.synthesis.pojo.vo.CrossOrGreenWaveTypeEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *     监测详情-路口事件详情
 * </p>
 * @author zhengyifan
 * @date 2025/3/15
 */
public interface CrossMapper {
    /**
     * 监测详情-路口事件详情-路口状态分布趋势-优化时间
     * @param crossID 路口ID
     */
    List<CrossStatusDisOptTimeEntity> getOptTimes(String crossID);

    /**
     * 监测详情-路口事件详情-路口实时告警
     * @param crossID 路口ID
     * @param time 时间
     */
    CrossRealTimeAlarmEntity getCrossRealTimeAlarms(String crossID, String time);

    /**
     * 监测详情-路口策略详情-路口实时告警
     * @param crossID
     * @param time
     * @return
     */
    CrossRealTimeAlarmEntity getCrossRealTimeAlarmsPlan(String crossID, String time,String eventSerialNumber);

    /**
     * 路口方向信息
     *
     * @param crossID 路口ID
     */
    List<CrossDirectionInfoEntity> getCrossDirectionInfo(String crossID);

    /**
     * 路口转向信息
     *
     * @param crossID 路口ID
     */
    List<CrossTurnInfoEntity> getCrossTurnInfo(String crossID);

    /**
     * 路口车道信息
     *
     * @param crossID 路口ID
     */
    List<CrossLaneInfoEntity> getCrossLaneInfo(String crossID);

    /**
     * 路口类型信息
     *
     * @param crossID 路口ID
     * @param date    日期 格式：yyyyMMdd
     */
    List<CrossOrGreenWaveTypeEntity> getCrossTypeInfo(@Param("crossID") String crossID, @Param("dt") String date);
}
