package net.wanji.opt.dao.mapper;


import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.databus.dao.entity.GreenwaveHistPOExt;
import net.wanji.databus.po.CrossDataHistPO;
import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.databus.po.CrossTurnDataHistPO;
import net.wanji.opt.dto.report.GreenHistIndexDTO;
import net.wanji.opt.entity.GreenwaveHist;
import net.wanji.opt.po.base.CrossLaneDataHistPoExtend;
import net.wanji.opt.vo.GreenWaveRunStateVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* <p>
    * 绿波历史数据
    * </p>
*
* @Author fengyi
* @Date 2024-11-18
*/
public interface GreenwaveHistoryMapper extends BaseInterfaceMapper<GreenwaveHist> {

    /**
     * 绿波历史指标查询
     * @param params
     * @return
     */
    public List<GreenwaveHist> findStatisticIndex(Map<String,Object> params);

    /**
     * 干线路口查询
     * @param params
     * @return
     */
    List<Map<String,Object>> findGreenCross(Map<String,Object> params);

    /**
     * 查看非协调方向路口指标
     * @return
     */
    List<Map<String,Object>> findUnCoordinateCrossIndex(Map<String,Object> params);

    /**
     * 绿波路口方向级指标查询
     * @param params
     * @return
     */
    List<CrossDirDataHistPO> findGreenWaveCrossDirIndex(Map<String,Object> params);

    /**
     * 绿波路口级指标查询
     * @param params
     * @return
     */
    List<CrossDataHistPO> findGreenWaveCrossIndex(Map<String,Object> params);

    /**
     * 干线运行状态查询
     * @param params
     * @return
     */
    List<GreenWaveRunStateVO> findGreenWaveRunState(Map<String,Object> params);

    /**
     * 路口转向指标趋势数据据
     * @param params
     * @return
     */
    List<CrossTurnDataHistPO> findGreenWaveCrossTurnIndex(Map<String,Object> params);


    /**
     * 路口车道指标趋势数据据
     * @param params
     * @return
     */
    List<CrossLaneDataHistPoExtend> findCrossObjectIndex(Map<String,Object> params);

    /**
     * 路口车道指标趋势数据据
     * @param params
     * @return
     */
    List<CrossLaneDataHistPoExtend> findCrossObjectIndexByDay(Map<String,Object> params);

    /**
     * 出口车道信息查询
     * @param params
     * @return
     */
    List<Map<String,Object>> findCrossExitRoadLaneInfo(Map<String,Object> params);

    /**
     * 出口车道信息查询
     * @param params
     * @return
     */
    List<Map<String,Object>> findCrossExitRoadDirInfo(Map<String,Object> params);


    /**
     * 出口车道信指标息查询
     * @param params
     * @return
     */
    List<CrossLaneDataHistPoExtend> findCrossExitRoadLaneIndex(Map<String,Object> params);

    /**
     * 出口道方向指标数据查询
     * @param params
     * @return
     */
    List<CrossLaneDataHistPoExtend> findCrossExitRoadIndex(Map<String,Object> params);


    /**
     * 优化监测-干线运行监测V2版本
     * @param greenId
     * @param date
     * @return
     */
    List<GreenwaveHistPOExt> selectRunMonitorV2(@Param("greenId") Integer greenId, @Param("date") Date date);

    /**
     * 按时间范围统计干线指标
     * @param greenId
     * @param startDate
     * @param endData
     * @return
     */
    List<GreenHistIndexDTO> findGreenIndexByDateScope(@Param("greenId") Integer greenId, @Param("startDate")String startDate, @Param("endDate")String endData);


}

