package net.wanji.opt.dao.mapper;

import net.wanji.opt.synthesis.pojo.CrossRealTimeAlarmEntity;
import net.wanji.opt.synthesis.pojo.TrunLineCrossStatusEntity;
import net.wanji.opt.synthesis.pojo.TrunkLineCrossProblemEntity;
import net.wanji.opt.synthesis.pojo.TrunkLineProblemDescribeEntity;
import net.wanji.opt.synthesis.pojo.vo.CrossOrGreenWaveTypeEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *     监测详情-干线详情
 * </p>
 * @author zhengyifan
 * @date 2025/3/16
 */
public interface TrunkLineMapper{
    /**
     * 获取干线问题描述
     */
    List<TrunkLineProblemDescribeEntity> getTrunkLineProblemDescribe(@Param("greenID") String greenID , @Param("time") String time);
    /**
     * 获取干线实时告警
     */
    CrossRealTimeAlarmEntity getTrunkLineRealTimeAlarm(@Param("greenID") Integer greenID, @Param("time") String time);

    /**
     * 获取干线实时策略
     */
    CrossRealTimeAlarmEntity getTrunkLineRealTimeAlarmPlan(@Param("greenID") Integer greenID,@Param("time") String time);

    /**
     * 获取干线实时策略
     */
    CrossRealTimeAlarmEntity getTrunkLineRealTimeAlarmPlan1(@Param("greenID") Integer greenID,@Param("time") String time);


    /**
     * 获取干线路口事件描述
     */
    List<TrunkLineCrossProblemEntity> getTrunkLineCrossProblem(@Param("greenID") Integer greenID, @Param("time") String time);

    /**
     * 获取干线的路口进出口方向
     */
    List<TrunkLineCrossProblemEntity> getIODir(@Param("greenID") Integer greenID);

    /**
     * 获取干线的路口进出口方向
     */
    List<TrunLineCrossStatusEntity> getTrunkLineCrossStatus(@Param("greenID") Integer greenID,@Param("type") Integer type,@Param("time") String time,@Param("inDir") Integer inDir,@Param("outDir") Integer outDir);

    /**
     * 获取干线类型信息
     *
     * @param greenID 绿波ID
     * @param date    日期
     */
    List<CrossOrGreenWaveTypeEntity> getGreenWaveTypeList(@Param("greenID") String greenID, @Param("dt") String date);

}
