package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.databus.po.CrossBaseLaneInfoPO;
import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.databus.po.CrossTurnDataHistPO;
import net.wanji.opt.entity.judgeanalysis.AnalysisCrossHourOverFlowTask;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDirHour;

import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import net.wanji.opt.entity.judgeanalysis.CrossTurnInfo;
import net.wanji.opt.po.base.BaseRidInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemCrossDirHourMapper extends BaseMapper<AnalysisProblemCrossDirHour>{
	
	 /**
	  *  查询表t_analysis_problem_cross_dir_hour所有信息
	  */
	 List<AnalysisProblemCrossDirHour> findAllAnalysisProblemCrossDirHour();
	  
	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 AnalysisProblemCrossDirHour findAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);

	/**
	*  根据条件查询表t_analysis_problem_cross_dir_hour信息
	*  @param analysisProblemCrossDirHour
	*/
	List<AnalysisProblemCrossDirHour> findAnalysisProblemCrossDirHourByCondition(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 Integer deleteAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);
	
	 /**
	  *  根据主键eventType更新表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer updateAnalysisProblemCrossDirHourByeventType(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);
	
	 /**
	  *  新增表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer addAnalysisProblemCrossDirHour(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	List<AnalysisProblemCrossDirHour> selectSingerByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour>selectHappyByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour> selectDirectByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour> selectOverFlowCrossIds(String formattedDate, String eventType);


	List<BaseRidInfo> getNextCross(@Param("crossId") String crossId,@Param("dir") Integer dir);

	List<CrossBaseLaneInfoPO> getNextCrossBaseLaneNum(@Param("nextCrossid") String nextCrossid,@Param("dir") Integer dir);

    List<CrossDirDataHistPO> getNextCrossPass(@Param("nextCrossid") String nextCrossid,
											  @Param("startTimeAll") String startTimeAll,
											 @Param("endTimeALL")   String endTimeALL);

	List<CrossTurnInfo> getCrossTurnInfo(@Param("crossId") String crossId, @Param("dirCode") Integer dirCode);


	List<CrossTurnDataHistPO> getCrossTurnDataHist(@Param("crossId") String crossId, @Param("startTimeAll") String startTimeAll, @Param("endTimeALL") String endTimeALL, @Param("crossTurnInfo") List<CrossTurnInfo> crossTurnInfo);

	void insertCrossOverFlow(@Param("crossHourOverFlowList") List<AnalysisCrossHourOverFlowTask> crossHourOverFlowList);
}

