package net.wanji.opt.dto.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;


@Data
public class GreenHistIndexDTO {

    @ApiModelProperty(value = "绿波编号")
    private Integer greenId;

    @ApiModelProperty(value = "绿波名称")
    private String greenName;

    @ApiModelProperty(value = "绿波方向")
    private String roadDirection;

    @ApiModelProperty(value = "流量")
    private Integer flow;

    @ApiModelProperty(value = "交通拥堵指数")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double trafficIndex;

    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    @ApiModelProperty(value = "平均速度 km/h")
    private Double speed;

    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    @ApiModelProperty(value = "平均行程时间")
    private Integer travelTime;

    @ApiModelProperty(value = "平均延误时长，单位秒")
    private Double delayTime;

    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    @ApiModelProperty(value = "平均停车次数")
    private Double stopTimes;

    @ApiModelProperty(value = "通行能力")
    private Integer capacity;

    private String flowAll;

}
