package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_ai_optimize_statistic")
public class AiOptimizeStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    @TableId(value = "cross_id", type = IdType.AUTO)
    private String crossId;

    /**
     * 当前策略名称 0：无策略 1：绿灯空放 2：失衡 3：溢出 | 干线当前策略：1单条 2垂直 3平行
     */
    private Integer strategy;

    /**
     * 优化次数
     */
    private Integer optimizeCount;

    /**
     * 优化时长，单位秒
     */
    private Integer optimizeDuration;

    /**
     * yyyyMMdd
     */
    private Integer statisticTime;

    /**
     * 创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    private LocalDateTime gmtModified;

    /**
     * 数据类型 1路口 2干线
     */
    private Integer type;


}
