package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_event_optimize_info")
public class AnalysisProblemAndStrategyDay implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    private String crossId;

    /**
     * 事件序列号作为主键
     */
    private String eventSerialNumber;

    /**
     * 事件一级类别 1：机动车事件 2：非机动车事件 3：行人事件 4：路口事件
     */
    private String eventCategory;

    /**
     * 二级类别
     */
    private String eventType;

    /**
     * 事件发生开始时间
     */
    private String happenStartTime;

    /**
     * 事件发生结束时间
     */
    private String happenEndTime;

    /**
     * 事件持续时长，单位秒
     */
    private String duration;

    /**
     * 优化状态 0 未优化 1-优化过
     */
    private int optStatus;

    /**
     * 方向 1北...8西北
     */
    private String dir;

    /**
     * 事件优化开始时间
     */
    private String optStartTime;

    /**
     * 事件优化结束时间
     */
    private String optEndTime;

    /**
     * 优化时长，单位秒
     */
    private String optDuration;

    /**
     * 格式：yyyyMMdd
     */
    private String dt;

    /**
     * 数据插入时间
     */
    private String insertTime;

    /**
     * 干线id
     */
    private String greenId;
}
