package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.*;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_analysis_problem_cross_dir_hour")
public class AnalysisProblemCrossDirHour implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 区域ID
     */
    private String areaId;

    /**
     * 事件一级类别 1：机动车事件 2：非机动车事件 3：行人事件 4：路口事件
     */
    private String eventCategory;

    /**
     * 二级类别
     */
    @TableId(value = "event_type", type = IdType.AUTO)
    private String eventType;

    /**
     * 事件发生总数量
     */
    private Integer eventNumber;

    /**
     * 事件发生总时长
     */
    private Integer eventTotalTime;

    /**
     * 统计窗口的开始时间
     */
    private LocalDateTime windowStartTime;

    /**
     * 统计窗口的结束时间
     */
    private LocalDateTime windowEndTime;

    /**
     * 路口id
     */
    private String crossId;

    /**
     * 路口方向 从1~8，依次为顺时针顺序从北至西北
     */
    private Integer dir;

    /**
     * 格式：yyyyMMdd
     */
    private Integer dt;

    /**
     * 数据插入时间
     */
    private LocalDateTime insertTime;

    /***非数据库字段****/
    //类型名称
    @TableField(exist = false)
    private String typeName;
    //数量统计
    @TableField(exist = false)
    private String countNumber;
    //按小时开始时间
    @TableField(exist = false)
    private String hours_window_start_time;
    //开始时间 年月日时分秒
    @TableField(exist = false)
    private String winStartTime;

}
