package net.wanji.opt.entity.judgeanalysis;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_analysis_problem_green_day")
public class AnalysisProblemGreenDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 区域ID
     */
    private String areaId;

    /**
     * 事件一级类别 1：机动车事件 2：非机动车事件 3：行人事件 4：路口事件
     */
    private String eventCategory;

    /**
     * 二级类别
     */
    private String eventType;

    /**
     * 事件发生总数量
     */
    private Integer eventNumber;

    /**
     * 事件发生总时长
     */
    private Integer eventTotalTime;

    /**
     * 统计窗口的开始时间
     */
    private LocalDateTime windowStartTime;

    /**
     * 统计窗口的结束时间
     */
    private LocalDateTime windowEndTime;

    /**
     * 干线id
     */
    private Integer greenId;

    /**
     * 格式：yyyy-MM-dd
     */
    private Integer dt;

    /**
     * 数据插入时间
     */
    private LocalDateTime insertTime;

    /***非数据库字段****/
    //类型名称
    private String typeName;

    //数量统计
    private String countNumber;


}
