package net.wanji.opt.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;
import java.util.Date;
import java.math.BigDecimal;

/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
@Data
@ApiModel(value="BaseAreaInfo对象", description="区域基础信息")
public class BaseAreaInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "行政区划代码")
    private Long code;

    @ApiModelProperty(value = "行政区划名称")
    private String name;

    @ApiModelProperty(value = "道路名称")
    private String roadName;

    @ApiModelProperty(value = "区划类型：1行政区划；2交警辖区；3商圈；4交通小区；5热点区域；6道路")
    private Integer type;

    @ApiModelProperty(value = "父节点")
    private Integer parentCode;

    @ApiModelProperty(value = "区域中心点")
    private String location;

    @ApiModelProperty(value = "区域边界")
    private String polylines;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "修改时间")
    private Date gmtModified;




}
