package net.wanji.opt.entity.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;
import java.util.Date;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @Author fengyi
 * @Date 2025-04-07
 */
@Data
@ApiModel(value="AnalysisGreenWavePeakDetail对象", description="")
public class AnalysisGreenWavePeakDetail extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "干线ID")
    private Integer greenId;

    @ApiModelProperty(value = "干线车流运行方向 w2e/e2w/s2n/n2s")
    private String roadDirection;

    @ApiModelProperty(value = "星期几：1~7代表周一至周日")
    private Integer weekDay;

    @ApiModelProperty(value = "峰期开始时间")
    private Date peakStartTime;

    @ApiModelProperty(value = "峰期截止时间")
    private Date peakEndTime;

    @ApiModelProperty(value = "平均拥堵指数")
    private Double trafficIndex;

    @ApiModelProperty(value = "拥堵类型：2缓行；3拥堵")
    private Integer status;

    @ApiModelProperty(value = "行程时间，单位秒")
    private Integer travelTime;

    @ApiModelProperty(value = "平均速度 km/h")
    private Double speed;

    @ApiModelProperty(value = "车流量")
    private Integer flow;

    @ApiModelProperty(value = "高峰类型 1早高峰 2晚高峰 3平峰")
    private String peakType;

    @ApiModelProperty(value = "一年中的第几周，格式yyyyw，如20251")
    private Integer yearWeek;

    @ApiModelProperty(value = "一周的第一天")
    private Date weekStartTime;

    @ApiModelProperty(value = "一周的第二天")
    private Date weekEndTime;

    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime;




}
