package net.wanji.opt.entity.report;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_analysis_report_cross_optimize_detail")
public class AnalysisReportCrossOptimizeDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    @TableId(value = "cross_id", type = IdType.AUTO)
    private String crossId;

    /**
     * 星期几：1~7代表周一至周日
     */
    private Integer weekDay;

    /**
     * 优化时段开始时间
     */
    private LocalDateTime optimizeStartTime;

    /**
     * 优化时段截止时间
     */
    private LocalDateTime optimizeEndTime;

    /**
     * 策略类型 干线当前策略：1单条 2垂直 3平行
     */
    private Integer stragetyId;

    /**
     * 策略时段内优化次数
     */
    private Integer optimizeCount;

    /**
     * 策略时段内优化总时长，单位秒
     */
    private Integer optimizeDuration;

    /**
     * 通行能力（辆）
     */
    private Integer capacity;

    /**
     * 停车次数
     */
    private Double stopTimes;

    /**
     * 延误时间，单位秒
     */
    private Double delayTime;

    /**
     * 最大排队长度
     */
    private Integer maxQueueLength;

    /**
     * 一年中的第几周
     */
    private Integer yearWeek;

    /**
     * 一一年中的第几周，格式yyyyw，如20251
     */
    private LocalDateTime weekStartTime;

    /**
     * 一周的第二天
     */
    private LocalDateTime weekEndTime;

    /**
     * 数据插入时间
     */
    private LocalDateTime insertTime;

    /**
     * 上周通行能力（辆）
     */
    private Integer lastWeekCapacity;

    /**
     * 上周停车次数
     */
    private Double lastWeekStopTimes;

    /**
     * 上周延误时间，单位秒
     */
    private Double lastWeekDelayTime;

    /**
     * 上周最大排队长度
     */
    private Integer lastWeekMaxQueueLength;

    /**
     * 上周平均速度，单位km/h
     */
    private Double lastWeekSpeed;

    /**
     * 上周拥堵指数
     */
    private Double lastWeekCongestIndex;

    /**
     * 事件问题方向[]
     */
    private String dirs;
    /**
     * 问题次数
     */
    private Integer problemCount;

    private Integer lastWeekOptimizeCount;

    private Integer lastWeekOptimizeDuration;

    private Integer lastWeekProblemCount;

}
