package net.wanji.opt.entity.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "GreenWaveCrossRidInfo", description = "干线信息")
public class GreenWaveCrossRidInfo {
    // 主表 t_greenwave_info 字段
    @ApiModelProperty(value = "绿波干线id")
    private Integer id; // a.id
    @ApiModelProperty(value = "干线名称")
    private String greenwaveName; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线方向")
    private String greenDir; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线方向")
    private String greenDirName; // a.name AS greenwave_name
    @ApiModelProperty(value = "干线长度")
    private String length; // a.name AS greenwave_name

    // 表 t_greenwave_cross 字段
    @ApiModelProperty(value = "路口id")
    private String crossId; // b.cross_id
    @ApiModelProperty(value = "路口名称")
    private String crossName; // c.name AS cross_name
    @ApiModelProperty(value = "路口顺序")
    private Integer sort; // b.sort
    @ApiModelProperty(value = "驶入方向")
    private String inDir; // b.in_dir
    @ApiModelProperty(value = "驶出方向")
    private String outDir; // b.out_dir
    @ApiModelProperty(value = "是否重点路口 0-否 1-是 ")
    private Integer isKeyRoute; // b.is_key_route

    // 表 t_base_cross_info 字段
    @ApiModelProperty(value = "是否信控路口 0-否 1-是")
    private Integer isSignal; // c.is_signal

    // 表 t_base_rid_info 字段
    @ApiModelProperty(value = "车道等级")
    private Integer level; // d.level
    @ApiModelProperty(value = "车道等级名称")
    private String levelName; // d.level
    @ApiModelProperty(value = "路段id")
    private String rid; // d.id AS rid

    // 车道数量统计字段
    @ApiModelProperty(value = "驶入车道数")
    private Integer inLaneCount; // COALESCE(in_lane_count.count, 0)
    @ApiModelProperty(value = "驶出车道数")
    private Integer outLaneCount; // COALESCE(out_lane_count.count, 0)
    @ApiModelProperty(value = "全部车道数")
    private Integer allLaneCount;

    @ApiModelProperty(value = "全部路口")
    List<GreenWaveCrossRidInfo> greenWaveCrossRidInfoList;
}
