package net.wanji.opt.entity.report;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("t_analysis_green_wave_week_data")
@ApiModel(value = "绿波干线周总体拥堵概况分析表", description = "用于存储绿波干线周数据的实体类")
public class GreenWaveWeekData {

    @TableId(value = "green_id", type = IdType.INPUT)
    @ApiModelProperty(value = "绿波ID")
    private Integer greenId; // 绿波ID

    @ApiModelProperty(value = "绿波方向")
    private String roadDirection; // 绿波方向

    @ApiModelProperty(value = "平均拥堵指数")
    private Double congestIndex; // 平均拥堵指数

    @ApiModelProperty(value = "最大拥堵指数")
    private Double maxCongestIndex; // 最大拥堵指数

    @ApiModelProperty(value = "拥堵次数")
    private Integer congestCount; // 拥堵次数

    @ApiModelProperty(value = "拥堵总时长，单位秒")
    private Double congestDuration;

    @ApiModelProperty(value = "最大拥堵持续时长，单位秒")
    private Double maxCongestDuration;

    @ApiModelProperty(value = "总流量")
    private Integer flow; // 总流量

    @ApiModelProperty(value = "行程时间")
    private Integer travelTime; // 行程时间

    @ApiModelProperty(value = "平均速度")
    private Double speed; // 平均速度

    @ApiModelProperty(value = "高峰类型 1早高峰 2晚高峰 3全天")
    private String peakType;

    @ApiModelProperty(value = "类型：1工作日 2节假日")
    private String dayType;

    @ApiModelProperty(value = "最大拥堵时段")
    private String maxCongestionPeriod;

    @ApiModelProperty(value = "第二大拥堵时段")
    private String secondCongestionPeriod;

    @ApiModelProperty(value = "数据统计范围的开始时间")
    private String startTime; // 数据统计范围的开始时间

    @ApiModelProperty(value = "数据统计范围的截止时间")
    private String endTime; // 数据统计范围的截止时间

    @ApiModelProperty(value = "一年的第几周")
    private Integer yearWeek; // 一年的第几周

    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime; // 数据插入时间
}