package net.wanji.opt.entity.strategy;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.List;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;
import net.wanji.opt.entity.comprehensivequery.CrossEntity;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_strategy_priority_daily_info")
public class StrategyPriorityDailyInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 日计划编号
     */
    private Integer dailyPlanId;

    /**
     * 执行时间：周日 0；周一 1； 周二 2； 周三 3
     */
    private String weekExecute;

    /**
     * 日计划时段执行详情
     */
    private String dailyPlanDetails;

    /**
     * 路口编号
     */
    private String crossId;

    //非数据库字段
    /**
     * 干线名称 (路由列表返回用)
     */
    @TableField(exist = false)
    private String waveName;
    /**
     * 路口名称 (路由列表返回用)
     */
    @TableField(exist = false)
    private String crossName;

    /**
     * 干线ID 干线列表用
     */
    @TableField(exist = false)
    private Integer greenId;
    /**
     * 类型 1:路口 2干线
     */
    @TableField(exist = false)
    private Integer type;



}
