package net.wanji.opt.servicev2;

import net.wanji.opt.synthesis.pojo.CrossRealTimeAlarmEntity;
import net.wanji.opt.synthesis.pojo.TrunkLineCrossProblemEntity;
import net.wanji.opt.synthesis.pojo.TrunkLineProblemDescribeEntity;
import net.wanji.opt.synthesis.pojo.vo.CrossOrGreenWaveTypeEntity;
import net.wanji.opt.vo2.CrossRealTimeAlarmVO;
import net.wanji.opt.vo2.TrunkLineCrossProblemVO;

import java.util.List;

/**
 * 监测详情-干线事件
 * @author zhengyifan
 * @date 2025/3/16
 */
public interface TrunkLineService {
    /**
     * 获取干线事件描述
     */
    List<TrunkLineProblemDescribeEntity> getTrunkLineProblemDescribe(String greenID , String time);

    /**
     * 获取干线实时告警
     */
    List<CrossRealTimeAlarmEntity> getTrunkLineRealTimeAlarm(Integer greenID, String time);

    /**
     * 干线路口事件描述列表
     */
    List<TrunkLineCrossProblemEntity> getTrunkLineCrossProblem(Integer greenID, String time, Integer type);

    /**
     * 获取路口类型信息
     *
     * @param crossID 路口ID
     * @param date    日期
     */
    List<CrossOrGreenWaveTypeEntity> getGreenWaveTypeList(String crossID, String date);

}
