package net.wanji.opt.servicev2.implv2;

import com.alibaba.fastjson.JSONObject;
import groovy.util.logging.Slf4j;
import net.wanji.opt.dao.mapper.TrunkLineStatusDisMapper;
import net.wanji.opt.servicev2.TrunkLineService;
import net.wanji.opt.servicev2.TrunkLineStatusDisService;
import net.wanji.opt.synthesis.pojo.vo.CrossOrGreenWaveTypeEntity;
import net.wanji.opt.vo2.TrunkLineOptTimeInfoVO;
import net.wanji.opt.vo2.TrunkLineStatusDisInfoVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zhengyifan
 * @date 2025/3/14
 */

@Service
@Slf4j
public class TrunkLineStatusDisImpl implements TrunkLineStatusDisService {
    @Resource
    private TrunkLineStatusDisMapper trunkLineStatusDisMapper;
    @Resource
    private TrunkLineService trunkLineService;

    @Override
    public JSONObject trunkLineStatusDisInfoList(String greenID, String date, String timeGranule) {
        Map<String, Object> params = new HashMap<>();
        params.put("greenID", greenID);
        params.put("date", date);
        params.put("granule", getGranule(timeGranule));

        List<TrunkLineStatusDisInfoVO> list= trunkLineStatusDisMapper.findStatusDistribution(params);
        List<TrunkLineOptTimeInfoVO> list1= trunkLineStatusDisMapper.findPlanTime(params);
        List<CrossOrGreenWaveTypeEntity> gvList = trunkLineService.getGreenWaveTypeList(greenID, date);

        JSONObject jsonObject = new JSONObject();
        jsonObject.put("dataList", list);
        jsonObject.put("timeList", list1);
        jsonObject.put("gvTypeList", gvList);
        return jsonObject;
    }

    private Integer getGranule(String timeGranule) {
        switch (timeGranule) {
            case "5":
                return 300;
            case "15":
                return 900;
            case "30":
                return 1800;
            case "60":
                return 3600;
        }
        return 300;
    }
}
