package net.wanji.opt.servicev2.judgeanalysis;

import com.baomidou.mybatisplus.extension.service.IService;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 路口问题分析 服务类
 * </p>
 *
 * @author fengyi
 * @since 2025-03-13
 */
public interface AnalysisProblemAreaDayService extends IService<AnalysisProblemCrossDay> {


    /**
     * 区域问题概况接口
     *
     * @param areaId    区域ID
     * @param startTime 开始时间 格式yyyyyMMdd
     * @param endTime   开始时间 格式yyyyyMMdd
     * @return
     */
    List<AnalysisProblemCrossDay> selectCountByType(Integer areaId, Integer startTime, Integer endTime);


    /**
     * 区域问题趋势接口开发
     *
     * @return
     */
    Map<String,Object> selectAreaProblemTrend(Integer areaId, Integer startTime, Integer endTime)  throws Exception;


    /**
     * 区域路口问题总概览
     * @return
     */
    List<Map<String,Object>> selectCrossAllProblemNums(String eventType, Integer areaId, Integer startTime, Integer endTime)  throws Exception;


    /**
     * 区域干线问题总概览
     */
    public List<Map<String, Object>> selectGreenAllProblemNums(String eventType,Integer areaId, Integer startTime, Integer endTime) throws Exception;
}
