package net.wanji.opt.servicev2.judgeanalysis.impl;

import com.alibaba.fastjson.JSONObject;
import net.wanji.opt.entity.judgeanalysis.AiOptimizeStatistic;
import net.wanji.opt.dao.mapper.judgeanalysis.AiOptimizeStatisticMapper;
import net.wanji.opt.servicev2.judgeanalysis.AiOptimizeStatisticService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
* <p>
* AI优化时长 服务实现类
* </p>
*
* @author fengyi
* @since 2025-03-24
*/
@Service
 public class AiOptimizeStatisticServiceImpl extends ServiceImpl<AiOptimizeStatisticMapper, AiOptimizeStatistic> implements AiOptimizeStatisticService {

	 @Resource
	 private AiOptimizeStatisticMapper aiOptimizeStatisticMapper;

	
	 /**
	 * AI优化时长详情
	 * @param id
	 * @return
	 */
	 @Override
	 public AiOptimizeStatistic info(Long id) {
	
	 	return getById(id);
	 }
	
	 /**
	 * AI优化时长新增
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void add(AiOptimizeStatistic param) {
	
	 	save(param);
	 }
	
	 /**
	 * AI优化时长修改
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void modify(AiOptimizeStatistic param) {
	
	 	updateById(param);
	 }
	
	 /**
	 * AI优化时长删除(单个条目)
	 * @param id
	 * @return
	 */
	 @Override
	 public void remove(Long id) {
	 	removeById(id);
	 }
	
	 /**
	 * AI优化时长删除(多个条目)
	 * @param ids
	 * @return
	 */
	 @Override
	 public void removes(List<Long> ids) {
	
	 	removeByIds(ids);
	 }

	@Override
	public Map<String, Object> greenOptimizeByTimeTrend(String greenId, Integer startTime, Integer endTime) {

		 //List<AiOptimizeStatistic> list=aiOptimizeStatisticMapper.greenOptimizeByTimeTrend(greenId,startTime,endTime);
		 JSONObject jsonObject = new JSONObject();
		//jsonObject.put("dataList",list);
		 return jsonObject;
	 }
}
