package net.wanji.opt.servicev2.judgeanalysis.impl;

import com.alibaba.fastjson.JSONObject;
import net.wanji.common.utils.tool.DateUtil;
import net.wanji.databus.po.CrossBaseLaneInfoPO;
import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.databus.po.CrossTurnDataHistPO;
import net.wanji.opt.common.EsDateIndexUtil;
import net.wanji.opt.common.enums.CrossDirEnum;
import net.wanji.opt.entity.judgeanalysis.AnalysisCrossHourOverFlowTask;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDirHour;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDirHourMapper;
import net.wanji.opt.entity.judgeanalysis.CrossTurnInfo;
import net.wanji.opt.po.base.BaseRidInfo;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemCrossDirHourService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.text.ParseException;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.util.*;
import java.util.stream.Collectors;

/**
* <p>
* 路口方向按小时粒度问题分析 服务实现类
* </p>
*
* @author fengyi
* @since 2025-03-20
*/
@Service
 public class AnalysisProblemCrossDirHourServiceImpl extends ServiceImpl<AnalysisProblemCrossDirHourMapper, AnalysisProblemCrossDirHour> implements AnalysisProblemCrossDirHourService {

	 @Resource
	 private AnalysisProblemCrossDirHourMapper analysisProblemCrossDirHourMapper;

	
	 /**
	 * 路口方向按小时粒度问题分析详情
	 * @param id
	 * @return
	 */
	 @Override
	 public AnalysisProblemCrossDirHour info(Long id) {
	
	 	return getById(id);
	 }
	
	 /**
	 * 路口方向按小时粒度问题分析新增
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void add(AnalysisProblemCrossDirHour param) {
	
	 	save(param);
	 }
	
	 /**
	 * 路口方向按小时粒度问题分析修改
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void modify(AnalysisProblemCrossDirHour param) {
	
	 	updateById(param);
	 }
	
	 /**
	 * 路口方向按小时粒度问题分析删除(单个条目)
	 * @param id
	 * @return
	 */
	 @Override
	 public void remove(Long id) {
	 	removeById(id);
	 }
	
	 /**
	 * 路口方向按小时粒度问题分析删除(多个条目)
	 * @param ids
	 * @return
	 */
	 @Override
	 public void removes(List<Long> ids) {
	
	 	removeByIds(ids);
	 }
	Map<String,Object>getParamMap(String crossId,String eventType,Integer startTime, Integer endTime){
		Map<String,Object> map=new  HashMap();
		map.put("crossId",crossId);
		map.put("eventType",eventType);
		map.put("startTime",startTime);
		map.put("endTime",endTime);
		return map;
	}
	@Override
	public Map<String, Object> directionByProblemTrend(String crossId, String eventType, Integer startTime, Integer endTime) throws ParseException {
		List<AnalysisProblemCrossDirHour>list=analysisProblemCrossDirHourMapper.selectSingerByProblemTrend(getParamMap(crossId,eventType,startTime,endTime));
		Date sd= DateUtil.parse(startTime.toString(), EsDateIndexUtil.YMD_FORMATTER);
		Date ed =DateUtil.parse(endTime.toString(),EsDateIndexUtil.YMD_FORMATTER);
		//存放期间全部时段
		Set<String> sortedSet = EsDateIndexUtil.getTimeGranularityAxis("4", DateUtil.formatDate(sd,EsDateIndexUtil.YMD_HM_FORMATTER), DateUtil.formatDate(ed,EsDateIndexUtil.YMD_HM_FORMATTER));
		List<Map<String ,Object>>allList=new ArrayList<>();

		Map<Integer, List<AnalysisProblemCrossDirHour>> groupByType = list.stream().collect(Collectors.groupingBy(o ->o.getDir(), TreeMap::new, Collectors.toList()));

		for(Map.Entry<Integer,List<AnalysisProblemCrossDirHour>>entry:groupByType.entrySet()){
			Integer key = entry.getKey();
		 	//同一方向每个日期问题数量
			List<AnalysisProblemCrossDirHour> value = entry.getValue();

			String typeName = value.get(0).getTypeName();
			Integer dir = value.get(0).getDir();
			//有实际数据的时刻点
			Set<String> timeList = value.stream().map(po -> po.getDt().toString()).collect(Collectors.toSet());
			//补充缺少时段数据，保留时段字段默认值
			for (String timesing: sortedSet){
				if(!timeList.contains(timesing)){
					AnalysisProblemCrossDirHour analysisProblemCrossDirHour = new AnalysisProblemCrossDirHour();
					analysisProblemCrossDirHour.setDt(Integer.valueOf(timesing));
					analysisProblemCrossDirHour.setEventNumber(0);
					value.add(analysisProblemCrossDirHour);
				}
			}
			value.stream().sorted(Comparator.comparing(AnalysisProblemCrossDirHour::getDt)).collect(Collectors.toList());
			List<Integer> numberlist = value.stream().map(AnalysisProblemCrossDirHour::getEventNumber).collect(Collectors.toList());
			Map<String,Object>maplist=new HashMap<>();
			maplist.put("eventType",key);
			maplist.put("eventLabel",typeName);
			maplist.put("dir",dir);
			maplist.put("dirName", CrossDirEnum.getDesc(dir));
			maplist.put("list",numberlist);
			allList.add(maplist);
		}

		JSONObject jsonObject = new JSONObject();
		jsonObject.put("dataList", allList);
		jsonObject.put("timeList",sortedSet);
		return jsonObject;
	}
	Map<String,Object>getHappyParamMap(String crossId,String eventType,Integer startTime, Integer endTime){
		Map<String,Object> map=new  HashMap();
		map.put("crossId",crossId);
        map.put("eventType",eventType);
		map.put("startTime",startTime);
		map.put("endTime",endTime);
		return map;
	}
	@Override
	public Map<String, Object> crossingHappyByProblemTrend(String crossId, String eventType,Integer startTime, Integer endTime) throws Exception {
		//按照小时
		List<AnalysisProblemCrossDirHour> listHourSql =analysisProblemCrossDirHourMapper.selectHappyByProblemTrend(getHappyParamMap(crossId,eventType,startTime,endTime));

		//按照方向
		List<AnalysisProblemCrossDirHour> happyDriectList=analysisProblemCrossDirHourMapper.selectDirectByProblemTrend(getHappyParamMap(crossId,eventType,startTime,endTime));

		//所有时间段
		Set<String> allHourset=new LinkedHashSet();
		//所有方向
		List<Map<String ,Object>> allHappyList=new ArrayList<>();
		// 定义时间格式
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern("HH:mm");
		//取出时间
       for (AnalysisProblemCrossDirHour list: listHourSql) {

		      String stringHour = list.getHours_window_start_time();
             if(stringHour!=null ) {
				// 解析时间字符串为LocalTime对象
				LocalTime startTimeHour = LocalTime.parse(stringHour, formatter);

				// 对时间加一个小时得到结束时间
				LocalTime endTimeHour = startTimeHour.plusHours(1);

				// 格式化开始时间和结束时间为所需的字符串格式
				String formattedTimeRange = startTimeHour.format(formatter) + " - " + endTimeHour.format(formatter);
				allHourset.add(formattedTimeRange);
			}
	   }

		//取出方向
		for (AnalysisProblemCrossDirHour dirlist: happyDriectList) {

			  Integer dirCode = dirlist.getDir();
			 Map<String,Object>maplist=new HashMap<>();
			  maplist.put("dir",dirCode);
			  maplist.put("dirName", CrossDirEnum.getDesc(dirCode));
			 allHappyList.add(maplist);
		}


		JSONObject jsonObject = new JSONObject();
		jsonObject.put("dirList", allHappyList);
		jsonObject.put("timeList",allHourset);
		return jsonObject;
	}
	/*
	* 插入溢出路口概况 t_analysis_cross_overflow_reason
	* */
	@Override
	@Transactional
	public void insertCorssOverFlowData() {

		try {
		//最终组装的数据
		ArrayList<AnalysisCrossHourOverFlowTask> crossHourOverFlowList=new ArrayList<>();
		//获取上一天的日期
		// 获取当前日期
		LocalDate today = LocalDate.now();
		// 获取前一天的日期
		LocalDate previousDay = today.minusDays(1);
		// 定义日期格式化器
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyyMMdd");

		// 格式化前一天的日期为字符串
		String formattedDate = previousDay.format(formatter);

		//溢出
        String eventType="703";
		// dt用 前一天没有时分秒
		Integer startTime =Integer.parseInt(formattedDate);
		Integer	endTime	 =Integer.parseInt(formattedDate);

        //溢出区分的时分秒
		String startTimeAll="";
		String	endTimeALL="";
		//溢出的数量
		Integer eventNumber=0;
        //方向
		Integer dirCode=0;
		//		// 定义格式化器
		DateTimeFormatter formatterall = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
		//查询前一天溢出的所有的路口ID
		List<AnalysisProblemCrossDirHour> crossIdsList=analysisProblemCrossDirHourMapper.selectOverFlowCrossIds(formattedDate,eventType);
         for (AnalysisProblemCrossDirHour item:crossIdsList) {

			 AnalysisCrossHourOverFlowTask crossHourOverFlow=new AnalysisCrossHourOverFlowTask();
			 //每个路口
			 String crossId = item.getCrossId();

			 //取出时间
			 List<AnalysisProblemCrossDirHour> listHourSql = analysisProblemCrossDirHourMapper.selectHappyByProblemTrend(getHappyParamMap(crossId, eventType, startTime, endTime));

			 //溢出时间 年月日 时分秒
			 LocalDateTime  windowStartTime=null;
			 LocalDateTime windowEndTime=null;
			 // 定义时间格式
			 DateTimeFormatter formatterTask = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");

			 //取出时间
			 for (AnalysisProblemCrossDirHour list: listHourSql) {

				 //溢出时间 年月日 时分秒
				  String windowStartTime1 = list.getWinStartTime();

				  eventNumber = list.getEventNumber();
				   dirCode = list.getDir();
				 if(windowStartTime1!=null ) {
                     // 解析时间字符串为LocalTime对象
					  windowStartTime = LocalDateTime.parse(windowStartTime1, formatterTask);
					 // 对年月日时分秒的 时间加一个小时得到结束时间
					  windowEndTime = windowStartTime.plusHours(1);
                      if (windowStartTime!=null && windowEndTime!=null){
						 startTimeAll = windowStartTime.format(formatterall);
						 endTimeALL = windowEndTime.format(formatterall);
					 }
				 }
			 }

			 //到下一个路口之间间距
			List<BaseRidInfo> BaseRidInfoList=analysisProblemCrossDirHourMapper.getNextCross(crossId,dirCode);
			          //下一个路口
			         String nextCrossid="";
					 //到下一个路口之间间距，单位米
					 Double nextCrossLength=0.0;
			          Integer nextCrossLengthint =0;
			 if(CollectionUtils.isNotEmpty(BaseRidInfoList)) {
				 for (BaseRidInfo ridInfo : BaseRidInfoList) {

					 nextCrossLength = ridInfo.getLength();
					 nextCrossLengthint = (int) Math.round(nextCrossLength);
					 nextCrossid = ridInfo.getEndCrossId();
				 }
			 }
				  //出口道方向下一个路口进口车道数量
			List<CrossBaseLaneInfoPO>CrossBaseLaneInfo= analysisProblemCrossDirHourMapper.getNextCrossBaseLaneNum(nextCrossid,dirCode);

		       //统计数据条数（出口道方向下一个路口进口车道数量）
			 long BaseLaneInfoCount = CrossBaseLaneInfo.stream().count();

             //下个路口通行能力
			List<CrossDirDataHistPO> CrossDirDataHistList =analysisProblemCrossDirHourMapper.getNextCrossPass(nextCrossid,startTimeAll,endTimeALL);
			//下个路口通行能力
			Integer nextCrossPassFlow=0;
			if(CollectionUtils.isNotEmpty(CrossDirDataHistList)) {
				 for (CrossDirDataHistPO CrossDirDataHist : CrossDirDataHistList) {
					 if (CrossDirDataHist!=null) {
						 nextCrossPassFlow = CrossDirDataHist.getFlow();
					 }
				 }

			 }
			 //查询出口道总流量跟平均流量net.wanji.opt.synthesis.pojo.CrossTurnInfoEntity
			   //查询t_base_cross_turn_info表中的in_dir,turn_type
			List<CrossTurnInfo>CrossTurnInfo=  analysisProblemCrossDirHourMapper.getCrossTurnInfo(crossId,dirCode);



			 //查询t_cross_turn_data_hist表
			List<CrossTurnDataHistPO> CrossTurnDataHistList =analysisProblemCrossDirHourMapper.getCrossTurnDataHist(crossId,startTimeAll,endTimeALL,CrossTurnInfo);
			 Integer sumFlow=0;
			 Integer avgFlow=0;
			 if(CollectionUtils.isNotEmpty(CrossTurnDataHistList)) {
				 // 计算 sum 总流量
				  sumFlow = CrossTurnDataHistList.stream()
						 .mapToInt(CrossTurnDataHistPO::getFlow)
						 .sum();

				 // 计算 avg 平均流量
				 OptionalDouble avg1 = CrossTurnDataHistList.stream()
						 .mapToInt(CrossTurnDataHistPO::getFlow)
						 .average();
				 // 将 avg 转换为 Integer 类型
				  avgFlow = avg1.isPresent()
						 ? (int) Math.round(avg1.getAsDouble()) // 四舍五入
						 : 0; // 如果流为空，返回默认值 0
			 }
              //路口id
			 crossHourOverFlow.setCrossId(crossId);
			 //溢出方向
			 crossHourOverFlow.setOverflowDir(dirCode);

			 //总流量
			 crossHourOverFlow.setOutFlowSum(sumFlow);
			 //平均流量/5min
			 crossHourOverFlow.setOutFlowAvg(avgFlow);
			 //出口道方向下一个路口进口车道数量
			 crossHourOverFlow.setNextCrossLaneNum((int) BaseLaneInfoCount);
			 //下个路口通行能力
			 crossHourOverFlow.setNextCrossCapacity(nextCrossPassFlow);
			 //到下一个路口之间间距，单位米
			 crossHourOverFlow.setLengthToNextCross(nextCrossLengthint);
			 //主要溢出时段开始时间
			 crossHourOverFlow.setOverflowStartTime(startTimeAll);
			 //主要溢出时段截止时间
			 crossHourOverFlow.setOverflowEndTime(endTimeALL);
			 //主要溢出时段内溢出事件数量
			 crossHourOverFlow.setOverflowNum(eventNumber);
			 //日期dt
			 crossHourOverFlow.setDt(startTime);
			 crossHourOverFlowList.add(crossHourOverFlow);

		 }

		//System.out.println("crossHourOverFlowList"+crossHourOverFlowList);
		analysisProblemCrossDirHourMapper.insertCrossOverFlow(crossHourOverFlowList);
		}catch (Exception e){
			e.printStackTrace();
			log.error("定时任务--路口溢出情况更新--任务执行错误" + e);
		}
	}

}
