package net.wanji.opt.servicev2.report.impl;


import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.common.enums.CrossDirEnum;
import net.wanji.opt.common.enums.RoadLevelEnum;
import net.wanji.opt.dao.mapper.report.GreenWaveCrossRidMapper;
import net.wanji.opt.entity.report.GreenWaveCrossRidInfo;
import net.wanji.opt.entity.report.GreenWaveCrossRidInfoVO;
import net.wanji.opt.servicev2.report.GreenWaveCrossRidService;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
@Slf4j
@Component
@Service
public class GreenWaveCrossRidServiceImpl implements GreenWaveCrossRidService {

    @Resource
    private GreenWaveCrossRidMapper greenWaveCrossRidMapper;
    @Override
    public JSONObject getGreenInfoList(String ids) {
        String[] idList = ids.split(",");
        JSONObject jsonObject = new JSONObject();
        List<GreenWaveCrossRidInfoVO> list = new ArrayList<>();
        for (String id : idList) {
            List<GreenWaveCrossRidInfo> greenWaveCrossRidInfoList = greenWaveCrossRidMapper.getGreenInfoList(id);
            int signal = 0;
            for (GreenWaveCrossRidInfo greenWaveCrossRidInfo : greenWaveCrossRidInfoList) {
                if(!ObjectUtils.isEmpty(greenWaveCrossRidInfo.getIsSignal()) && greenWaveCrossRidInfo.getIsSignal() == 1){
                    signal++;
                }
            }
            String greenDir = greenWaveCrossRidInfoList.get(1).getGreenDir();
            String[] dirs = greenDir.split(",");
            String content = StrUtil.format("{}{}走向",CrossDirEnum.getDesc(Integer.valueOf(dirs[0])),CrossDirEnum.getDesc(Integer.valueOf(dirs[1]))) ;
            GreenWaveCrossRidInfoVO greenWaveCrossRidInfoVO = new GreenWaveCrossRidInfoVO();
            GreenWaveCrossRidInfo greenWaveCrossRidInfo = greenWaveCrossRidInfoList.get(1);
            BeanUtils.copyProperties(greenWaveCrossRidInfo,greenWaveCrossRidInfoVO);
            greenWaveCrossRidInfoVO.setGreenDirName(content);
            greenWaveCrossRidInfoVO.setLevelName(RoadLevelEnum.getDesc(greenWaveCrossRidInfo.getLevel()));
            greenWaveCrossRidInfoVO.setAllLaneCount(greenWaveCrossRidInfo.getInLaneCount() + greenWaveCrossRidInfo.getOutLaneCount());
            greenWaveCrossRidInfoVO.setSignalCross(signal);
            greenWaveCrossRidInfoVO.setGreenWaveCrossRidInfoList(greenWaveCrossRidInfoList);
            list.add(greenWaveCrossRidInfoVO);
        }
        jsonObject.put("dataList",list);
        return jsonObject;
    }
}
