package net.wanji.opt.servicev2.strategy;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.core.JsonProcessingException;
import io.swagger.models.auth.In;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.entity.strategy.StrategyParameterConfig;
import net.wanji.opt.entity.strategy.StrategyPriorityDailyInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import net.wanji.opt.entity.strategy.dto.StrategyPriorityGroup;
import net.wanji.opt.synthesis.pojo.StrategyFactoryEntity;

import java.util.List;
import java.util.Map;

/**
* <p>
* 策略优先级日计划详情表 服务类
* </p>
*
* @author fengyi
* @since 2025-03-28
*/
public interface StrategyPriorityService extends IService<StrategyPriorityDailyInfo> {

    List<StrategyPriorityDailyInfo>pageStrategyCrossList();

    List<StrategyFactoryEntity> getStrategyList();

    List<StrategyFactoryEntity> getSceneList(Integer type);

    List<StrategyFactoryEntity> getCompanyList();


    void savePriority(List<StrategyPriorityGroup> dataList);

    List<StrategyFactoryEntity> getPriorityData(String crossId,Integer greenId, Integer type) throws Exception;

    void savePlanConfig(List<StrategyPriorityGroup> dailyPlanDetails) throws JsonProcessingException;


    List<StrategyPriorityDailyInfo> getPlanConfigData(String crossId, Integer greenId,Integer type);

    void saveParamterConfig(StrategyPriorityGroup strategyPriorityGroup) throws JsonProcessingException;

    List<StrategyParameterConfig> getParamConfigData(String crossId);

    List<StrategyPriorityDailyInfo> getStrategyGreenWave();
}
