package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/11/13 13:35
 */
@Data
@TableName("t_strategy_factory_info")
@ApiModel(value = "StrategyFactoryEntity", description = "策略库实体")
public class StrategyFactoryEntity {
    @ApiModelProperty("自增Id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("类型")
    @TableField("type")
    private Integer type;
    @ApiModelProperty("场景")
    @TableField("scene")
    private Integer scene;
    @ApiModelProperty("策略")
    @TableField("strategy_name")
    private String strategyName;
    @ApiModelProperty("策略编号")
    @TableField("strategy_no")
    private String strategyNo;
    @ApiModelProperty("算法厂商")
    @TableField("company")
    private String company;
    @ApiModelProperty("优化方法")
    @TableField("method")
    private String method;
    @ApiModelProperty("策略详情")
    @TableField("mark")
    private String mark;
    @ApiModelProperty("开启开关")
    @TableField("status")
    private Integer status;
    @ApiModelProperty("优化类型")
    @TableField("opt_type")
    private Integer optType;
    /*非数据库字段*/
    /**
     * 优先级
     */
    @TableField(exist = false)
    private Integer priority;
    /**
     * 路口ID
     */
    @TableField(exist = false)
    private String crossId;
    /**
     * 分组名称
     */
    @TableField(exist = false)
    private String label;
    /**
     * 分组ID
     */
    @TableField(exist = false)
    private Integer labelCode;
}
