package net.wanji.opt.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemCrossDirHourService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

@Component
@EnableScheduling
@Slf4j
public class AnalysisProblemCrossDirHourTask implements ApplicationRunner {

    @Autowired
    private AnalysisProblemCrossDirHourService analysisProblemCrossDirHourService;


    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("服务启动时--周总体拥堵概况更新--任务执行时间：" + LocalDateTime.now());
        // 周总体拥堵概况更新
        try {
          // executeCrossOverFlowTask();
        }catch (Exception e){
            log.error("服务启动时--周总体拥堵概况更新--任务执行错误" + e);
        }
        log.info("服务启动时--周总体拥堵概况更新--任务执行结束时间：" + LocalDateTime.now());
    }

    /**
     * 每天凌晨执行路口溢出查询的任务
     */
    @Scheduled(cron = "0 1 0 ? * *")
   // @Scheduled(cron = "*/3 * * ? * *")
    public void executeCrossOverFlowTask() {
        //路口溢出情况更新
        log.info("定时任务--路口溢出情况更新--执行开始时间：" + LocalDateTime.now());
        System.out.println("路口溢出情况更新：" + new java.util.Date());
        try {
            analysisProblemCrossDirHourService.insertCorssOverFlowData();
        }catch (Exception e){
            log.error("定时任务--路口溢出情况更新--任务执行错误" + e);
        }
        log.info("定时任务--路口溢出情况更新--执行结束时间：" + LocalDateTime.now());
    }

}
