package net.wanji.opt.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemGreenDayMapper;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemGreenDay;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;

@Component
@Configurable
@EnableScheduling
@Slf4j
@Profile("!dev")
public class AnalysisProblemHourTask {
    @Autowired
    private AnalysisProblemCrossDayMapper analysisProblemCrossDayMapper;
    @Autowired
    private AnalysisProblemGreenDayMapper analysisProblemGreenDayMapper;

    @Scheduled(cron = "0 1/60 * * * *")
    public  void task(){

        try {

            analysisProblemCrossDayMapper.insertAnalysisProblemCrossHour();

            analysisProblemGreenDayMapper.insertAnalysisProblemGreenHour();
        }catch (Exception e){
            log.error("计算路口方向、绿波方向问题异常",e);
        }

    }
}
