package net.wanji.opt.vo2;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/03/06 18:22
 */
@Data
@ApiModel(value = "CrossOptInfoVO", description = "态势监测-区域体检-路口优化列表")
public class CrossOptInfoVO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "优化时间")
    private Date issueTime;
    @ApiModelProperty(value = "事件类型")
    private Integer currentAlgo;
    @ApiModelProperty(value = "响应编码")
    private Integer responseCode;
    @ApiModelProperty(value = "经纬度")
    private String location;
    @ApiModelProperty(value = "持续时长")
    private Integer duration;
    private String strategyName;
    @ApiModelProperty(value = "优化状态")
    private String optStatus;
    @ApiModelProperty(value = "策略类型")
    private String optMethod;
    @ApiModelProperty(value = "交通指数")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double trafficIndex;
    @ApiModelProperty(value = "排队长度")
    private Integer queueLength;
    @ApiModelProperty(value = "同比交通指数，0-向下， 1向上")
    private Integer trafficIndexUpDown;
    @ApiModelProperty(value = "同比排队长度，0-向下， 1向上")
    private Integer queueLengthUpDown;
}