package net.wanji.opt.vo2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/03/18 10:11
 */
@Data
@ApiModel(value = "GreenOptCrossOffsetVO", description = "态势监测-策略推荐-绿波优化相位差实体")
public class GreenOptCrossOffsetVO {
    @ApiModelProperty(value = "原始路口相位差列表")
    private List<CrossOffsetDetail> oriCrossOffsets;
    @ApiModelProperty(value = "当前路口相位差列表")
    private List<CrossOffsetDetail> curCrossOffsets;

    @Data
    @ApiModel(value = "CrossOffsetDetail", description = "")
    public static class CrossOffsetDetail {
        @ApiModelProperty(value = "路口编号")
        private String crossId;
        @ApiModelProperty(value = "路口名称")
        private String crossName;
        @ApiModelProperty(value = "方案相位差")
        private Integer offset = 0;
        @ApiModelProperty(value = "方案号")
        private Integer schemeNo;
    }
}
