package net.wanji.opt.vo2;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/03/11 11:03
 */
@Data
@ApiModel(value = "OptMonitoringVO", description = "态势监测-运行监测-优化监测返回实体")
public class OptMonitoringVO {
    @ApiModelProperty(value = "编号")
    private String id;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "事件类型")
    private String type;
    @ApiModelProperty(value = "事件名称")
    private String typeDesc;
    @ApiModelProperty(value = "事件唯一ID")
    private String eventSerialNumber;
    @ApiModelProperty(value = "经纬度")
    private String wkt;
    @ApiModelProperty(value = "持续时长")
    private Integer duration;
    @ApiModelProperty(value = "发生时间")
    private String startTime;
    @ApiModelProperty(value = "优化状态 0-未优化 1-优化中")
    private Integer optStatus = 0;
    @ApiModelProperty(value = "优化状态 0-未优化 1-优化中")
    private String optStatusDesc;
    @ApiModelProperty(value = "优化时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date optTime;
    // todo 后续要不要加策略
    @ApiModelProperty(value = "绿波带方向")
    private String greenDir;
}
