package net.wanji.opt.vo2.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

/**
 * @author duanruiming
 * @date 2025/03/10 16:14
 */
@Data
@ApiModel(value = "GreenOptDTO", description = "态势监测-区域体检-绿波优化列表")
public class GreenOptDTO {
    @ApiModelProperty(value = "绿波编号")
    private Integer greenId;
    @ApiModelProperty(value = "绿波名称")
    private String greenName;
    @ApiModelProperty(value = "绿波方向")
    private String roadDirection;
    @ApiModelProperty(value = "绿波名称")
    private String directionName;
    @ApiModelProperty(value = "经纬度")
    private String wkt;
    @ApiModelProperty(value = "策略名称")
    private String strategyName;
    @ApiModelProperty(value = "交通指数")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double trafficIndex;
    @ApiModelProperty(value = "运行速度")
    private Integer speed;
    @ApiModelProperty(value = "行程速度")
    private Integer travelTime;
    @ApiModelProperty(value = "同比交通指数，0-向下， 1向上")
    private Integer trafficIndexUpDown;
    @ApiModelProperty(value = "同比运行速度，0-向下， 1向上")
    private Integer speedUpDown;
    @ApiModelProperty(value = "同比行程时间，0-向下， 1向上")
    private Integer travelUpDown;
}
