package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "绿波干线高峰时段分析实体类")
public class AnalysisGreenCongestionPeriodVO {

    @ApiModelProperty(value = "干线ID", example = "1")
    private Integer greenId;

    @ApiModelProperty(value = "干线车流运行方向 (w2e/e2w/s2n/n2s)", example = "w2e")
    private String roadDirection;

    @ApiModelProperty(value = "星期几：1~7代表周一至周日", example = "1")
    private Integer weekDay;

    @ApiModelProperty(value = "拥堵开始时间", example = "2025-04-07 08:00:00")
    private Date congestStartTime;

    @ApiModelProperty(value = "拥堵截止时间", example = "2025-04-07 10:00:00")
    private Date congestEndTime;

    @ApiModelProperty(value = "平均拥堵指数", example = "1.5")
    private Double congestIndex;

    @ApiModelProperty(value = "拥堵类型：2缓行；3拥堵", example = "2")
    private Integer status;

    @ApiModelProperty(value = "行程时间，单位秒", example = "3600")
    private Integer travelTime;

    @ApiModelProperty(value = "平均速度 (km/h)", example = "40.5")
    private Double speed;

    @ApiModelProperty(value = "高峰类型：1早高峰；2晚高峰", example = "1")
    private String peakType;

    @ApiModelProperty(value = "一年中的第几周，格式yyyyw，如20251", example = "20251")
    private Integer yearWeek;

    @ApiModelProperty(value = "一周的第一天", example = "2025-04-07 00:00:00")
    private Date weekStartTime;

    @ApiModelProperty(value = "一周的最后一天", example = "2025-04-13 23:59:59")
    private Date weekEndTime;

    @ApiModelProperty(value = "数据插入时间", example = "2025-04-07 12:30:00")
    private Date insertTime;
}