package net.wanji.opt.vo2.report;

import lombok.Data;

import java.util.Date;

@Data
public class AnalysisGreenWaveOptimizeWeekVO{

    private Integer greenId;

    /**
     * 干线车流运行方向 w2e/e2w/s2n/n2s
     */
    private String roadDirection;

    /**
     * 星期几：1~7代表周一至周日
     */
    private Integer weekDay;


    /**
     * 优化时段开始时间
     */
    private Date optimizeStartTime;

    /**
     * 优化时段截止时间
     */
    private Date optimizeEndTime;

    /**
     * 策略ID
     */
    private Integer stragetyId;

    /**
     * 策略时段内优化次数
     */
    private Integer optimizeCount;

    /**
     * 策略时段内优化总时长，单位秒
     */
    private Integer optimizeDuration;

    /**
     * 拥堵指数
     */
    private Double congestIndex;

    /**
     * 上周拥堵指数
     */
    private Double lastWeekCongestIndex;

    /**
     * 通行能力（辆）
     */
    private Integer capacity;

    /**
     * 上周通行能力（辆）
     */
    private Integer lastWeekCapacity;

    /**
     * 停车次数
     */
    private Double stopTimes;

    /**
     * 上周停车次数
     */
    private Double lastWeekStopTimes;

    /**
     * 延误时间，单位秒
     */
    private Double delayTime;
    /**
     * 上周延误时间，单位秒
     */
    private Double lastWeekDelayTime;

    /**
     * 行程时间，单位秒
     */
    private Integer travelTime;
    /**
     * 上周行程时间，单位秒
     */
    private Integer lastWeekTravelTime;

    /**
     * 平均速度，单位km/h
     */
    private Double speed;
    /**
     * 上周平均速度，单位km/h
     */
    private Double lastWeekSpeed;

    /**
     * 一年中的第几周
     */
    private Integer yearWeek;

    /**
     * 一一年中的第几周，格式yyyyw，如20251
     */
    private Date weekStartTime;

    /**
     * 一周的第二天
     */
    private Date weekEndTime;

    /**
     * 数据插入时间
     */
    private Date insertTime;


}
