package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossRunStateAnalysisResultResponseDTO {


    @ApiModelProperty(value = "区域周最大流量路口名称", example = "经十路（舜耕路-山大路）")
    private String maxFlowCrossName;

    @ApiModelProperty(value = "区域周交通指数最大路口名称", example = "经十路（舜耕路-山大路）")
    private String maxTrafficIndexCrossName;

    @ApiModelProperty(value = "工作日平均流量", example = "13459899辆")
    private String workDayAvgFlow;

    @ApiModelProperty(value = "工作日早高峰最大小时流量", example = "35490辆")
    private String workDayAmPeakMaxHourFlow;

    @ApiModelProperty(value = "工作日晚高峰最大小时流量", example = "23454辆")
    private String workDayPmPeakMaxHourFlow;

    @ApiModelProperty(value = "工作日平峰最大小时流量", example = "234598辆")
    private String workDayFmPeakMaxHourFlow;

    @ApiModelProperty(value = "周末全天平均流量", example = "234598辆%")
    private String weekEndAvgFlow;

    @ApiModelProperty(value = "工作日早高峰平均交通指数", example = "4.5")
    private String workDayAmPeakAvgTrafficIndex;

    @ApiModelProperty(value = "工作日晚高峰平均交通指数", example = "5.5")
    private String workDayPmPeakAvgTrafficIndex;

    //========================================================================
    @ApiModelProperty(value = "工作日平均流量与上周比较情况", example = "提升【下降】34000辆")
    private String avgFlowLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰最大小时流量与上周比较情况", example = "提升【下降】2300辆")
    private String amPeakMaxHourFlowLastWeekCompare;

    @ApiModelProperty(value = "工作日晚高峰最大小时流量与上周比较情况", example = "提升【下降】3100辆")
    private String pmPeakMaxHourFlowLastWeekCompare;

    @ApiModelProperty(value = "工作日平峰最大小时流量与上周比较情况", example = "提升【下降】1200辆")
    private String fmPeakMaxHourFlowLastWeekCompare;

    @ApiModelProperty(value = "周末全天平均流量与上周比较情况", example = "提升【下降】12000辆")
    private String endAvgFlowLastWeekCompare;

    @ApiModelProperty(value = "工作日早高峰平均交通指数与上周比较情况", example = "增加【减少】20%")
    private String amPeakAvgTrafficIndexLastWeekCompare;

    @ApiModelProperty(value = "工作日晚高峰平均交通指数与上周比较情况", example = "增加【减少】25%")
    private String pmPeakAvgTrafficIndexLastWeekCompare;

    //================================================================================================//

    private List<CrossRunStateDetailAnalysisDataDTO> dataList = new ArrayList<>();

}