package net.wanji.opt.vo2.report;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.common.utils.tool.DateUtil;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Data
public  class GreenReportRunStateResponseVO {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "经十路（舜耕路-山大路）")
    private String greenName;

    @ApiModelProperty(value = "本周早高峰时段集中情况", example = "7:30~8:30")
    private String weekAmPeakSpan;
    @ApiModelProperty(value = "本周早高峰时段开始时间同比（上周）情况", example = "提前20分钟")
    private String amStartSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段截止时间同比（上周）情况", example = "延后20分钟")
    private String amEndSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段持续时长", example = "45分钟")
    private String amDuration;
    @ApiModelProperty(value = "本周早高峰时段持续时长同比（上周）情况", example = "增加5分钟")
    private String amDurationSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰最大行程时间", example = "30分钟")
    private String amMaxTravelTime;
    @ApiModelProperty(value = "本周早高峰最大行程时间同比（上周）情况", example = "减少6分钟")
    private String amMaxTravelTimeSameRatioSituation;

    @ApiModelProperty(value = "平均拥堵指数", example = "4.5")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double amAvgContestIndex;

    @ApiModelProperty(value = "平均拥堵指数同比（上周）情况", example = "减少0.5")
    private String amAvgContestIndexSameRatioSituation;


    @ApiModelProperty(value = "本周早高峰时段集中情况", example = "7:30~8:30")
    private String weekPmPeakSpan;
    @ApiModelProperty(value = "本周早高峰时段开始时间同比（上周）情况", example = "提前20分钟")
    private String pmStartSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段截止时间同比（上周）情况", example = "延后20分钟")
    private String pmEndSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段持续时长", example = "45分钟")
    private String pmDuration;
    @ApiModelProperty(value = "本周早高峰时段持续时长同比（上周）情况", example = "增加5分钟")
    private String pmDurationSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰最大行程时间", example = "30分钟")
    private String pmMaxTravelTime;
    @ApiModelProperty(value = "本周早高峰最大行程时间同比（上周）情况", example = "减少6分钟")
    private String pmMaxTravelTimeSameRatioSituation;

    @ApiModelProperty(value = "平均拥堵指数", example = "4.5")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double pmAvgContestIndex;

    @ApiModelProperty(value = "平均拥堵指数同比（上周）情况", example = "减少0.5")
    private String pmAvgContestIndexSameRatioSituation;

    @ApiModelProperty(value = "本周峰期最早开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss",serialize = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date thisWeekPeakEarliestStartTime;

    @ApiModelProperty(value = "本周峰期最晚截止时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss",serialize = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date thisWeekPeakLatestEndTime;

    @ApiModelProperty(value = "上周峰期最早开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss",serialize = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastWeekPeakEarliestStartTime;

    @ApiModelProperty(value = "上周峰期最晚截止时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss",serialize = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastWeekPeakLatestEndTime;


    private List<GreenReportRunStatedDataVO> dataList = new ArrayList<>();

}


