package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenWaveOptimizeAnalysisResultResponseDTO {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "经十路（舜耕路-山大路）")
    private String greenName;

    @ApiModelProperty(value = "本周优化次数", example = "300次")
    private String weekOptimizeCount;

    @ApiModelProperty(value = "本周优化时长", example = "98小时")
    private String weekOptimizeDuration;

    @ApiModelProperty(value = "本周通行能力同比情况", example = "提升10%")
    private String weekCapacitySituation;

    @ApiModelProperty(value = "本周通停车次数同比情况", example = "减少10%")
    private String weekStopTimesSituation;

    @ApiModelProperty(value = "本周通行程时间数同比情况", example = "增加10%")
    private String weekTravelTimeSituation;

    @ApiModelProperty(value = "本周通延误时间同比情况", example = "增加10%")
    private String weekDelayTimeSituation;

    @ApiModelProperty(value = "本周通平均速度同比情况", example = "降低10%")
    private String weekAvgSpeedSituation;

    @ApiModelProperty(value = "本周总体情况", example = "降低10%")
    private String weekTotalitySituation;

    //================================================================================================//

    @ApiModelProperty(value = "时段列表",example = "[\"本周\",\"上周\"]")
    private List<String> timeList = new ArrayList<>();

    private List<GreenWaveOptimizeAnalysisDataVO> dataList=new ArrayList<>();

}