package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "绿波干线周总体拥堵概况", description = "绿波干线周总体拥堵概况")
public class GreenWaveWeekDataVO {

    @ApiModelProperty(value = "干线ID",example = "1")
    private   Integer greenId ;

    @ApiModelProperty(value = "干线名称",example = "")
    private   String greenName ;

    @ApiModelProperty(value = "干线路段长度，单位米",example = "232.5")
    private   double length ;

    @ApiModelProperty(value = "干线道路类型，以文字形式描述",example = "主干道")
    private   String greenRoadType ;

    @ApiModelProperty(value = "排名-按拥堵指数排名",example = "1")
    private   Integer rank ;

    @ApiModelProperty(value = "平均拥堵指数",example = "1.5")
    private   Double congestIndex ;

    @ApiModelProperty(value = "最大拥堵指数",example = "1.5")
    private   Double maxCongestIndex ;

    @ApiModelProperty(value = "拥堵次数",example = "1.5")
    private   Double congestCount ;

    @ApiModelProperty(value = "拥堵总时长，单位秒",example = "1.5")
    private   Double congestDuration;

    @ApiModelProperty(value = "拥堵次数中的最大拥堵时长，单位秒",example = "2000")
    private   Double maxCongestDuration;

    @ApiModelProperty(value = "平均拥堵时长，单位秒",example = "2000")
    private   Double avgCongestDuration;


    @ApiModelProperty(value = "最长使时间拥堵时间分布",example = "周一7:30~8:15")
    private   String congestTimeDistribute;

    @ApiModelProperty(value = "最长时间拥堵时段分布",example = "周一7:30~8:15")
    private   String maxCongestTimeDistribute;

    @ApiModelProperty(value = "本周拥堵时段集中分布情况",example = "周一7:30~8:15,周五17:30~18:15")
    private   String weekCongestTimeDistribute;
}