package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImportGreenReportAnalysisDataVO {

    @ApiModelProperty(value = "星期", example = "星期一")
    private String weekName;

    @ApiModelProperty(value = "策略优化时段", example = "7:35~8:40")
    private String optimizeTimeSpan;

    @ApiModelProperty(value = "本周通行能力", example = "3466")
    private Integer thisWeekCapacity;
    @ApiModelProperty(value = "上周通行能力", example = "5600")
    private Integer lastWeekCapacity;


    @ApiModelProperty(value = "本周拥堵指数", example = "3.5")
    private Double thisWeekCongestIndex;
    @ApiModelProperty(value = "上周拥堵指数", example = "3.0")
    private Double lastWeekCongestIndex;

    @ApiModelProperty(value = "本周平均车速km/h", example = "30.5")
    private Double thisWeekAvgSpeed;
    @ApiModelProperty(value = "上周平均车速km", example = "30.2")
    private Double lastWeekAvgSpeed;

    @ApiModelProperty(value = "本周行程时间（分钟）", example = "6.5")
    private Double thisWeekTravelTime;
    @ApiModelProperty(value = "上周行程时间（分钟）", example = "1.5")
    private Double lastWeekTravelTime;

}