package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class ImportGreenReportAnalysisResponseVO {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "经十路（舜耕路-山大路）")
    private String greenName;

    @ApiModelProperty(value = "本周优化集中时段分布情况", example = "7:00~8:00,12:00~13:30,17:30~18:40")
    private String optimizeSpan;

    @ApiModelProperty(value = "本周平均通行能力", example = "7800辆/小时")
    private String avgCapacity;

    @ApiModelProperty(value = "平均通行能力与上周相比情况",example = "提升")
    private String avgCapacityCompareSituation;
    //================================================================================================//
    @ApiModelProperty(value = "本周平均拥堵指数", example = "2.3")
    private String avgCongestIndex;

    @ApiModelProperty(value = "平均拥堵指数与上周相比情况", example = "增加【减少】10%")
    private String avgCongestIndexCompare;

    //================================================================================================//
    @ApiModelProperty(value = "本周平均速度", example = "2.3")
    private String avgSpeed;

    @ApiModelProperty(value = "本周平均速度与上周相比情况", example = "提升【降低】10%")
    private String avgSpeedCompare;
    //================================================================================================//
    @ApiModelProperty(value = "本周行程时间", example = "15")
    private String avgTravelTime;

    @ApiModelProperty(value = "本周平均行程时间与上周相比情况", example = "增加【减少】2分钟")
    private String avgTravelTimeCompare;
    //================================================================================================//
    @ApiModelProperty(value = "本周总体效果情况", example = "明显提升")
    private String weekTotalitySituation;

    private List<ImportGreenReportAnalysisDataVO> dataList = new ArrayList<>();

}