package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossOptimizeAnalysisResult extends ParentResult {

    private CrossOptimizeResultResponse content;

    public  CrossOptimizeResultResponse getContent() {
        return content;
    }

    public CrossOptimizeAnalysisResult setContent(CrossOptimizeResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossOptimizeResultResponse {


    @ApiModelProperty(value = "路口名称", example = "经十路（舜耕路-山大路）",position = 0)
    private String crossName;

    @ApiModelProperty(value = "本周优化次数", example = "300次",position = 1)
    private String weekOptimizeCount;

    @ApiModelProperty(value = "本周优化时长", example = "98小时",position = 2)
    private String weekOptimizeDuration;

    @ApiModelProperty(value = "本周溢出次数", example = "98小时",position = 3)
    private String weekOptimizeOverflowCount;
    @ApiModelProperty(value = "本周拥堵次数", example = "98小时",position = 4)
    private String weekOptimizeCongestCount;
    @ApiModelProperty(value = "本周空放优化次数", example = "98小时",position = 5)
    private String weekOptimizeEmptyCount;
    @ApiModelProperty(value = "本周失衡优化次数", example = "98小时",position = 6)
    private String weekOptimizeUnbalanceCount;

    @ApiModelProperty(value = "本周通行能力同比情况", example = "提升10%",position = 7)
    private String weekCapacitySituation;
    @ApiModelProperty(value = "本周通停车次数同比情况", example = "减少10%",position = 8)
    private String weekStopTimesSituation;
    @ApiModelProperty(value = "本周通延误时间同比情况", example = "增加10%",position = 9)
    private String weekDelayTimeSituation;
    @ApiModelProperty(value = "本周通最大排队同比情况", example = "降低10%",position = 10)
    private String weekMaxQueueLengthSituation;
    @ApiModelProperty(value = "本周总体情况", example = "明显提升",position = 11)
    private String weekTotalitySituation;

    //================================================================================================//

    @ApiModelProperty(value = "时段列表",example = "[\"本周\",\"上周\"]")
    private   List<String> timeList = new ArrayList<>();

    private List<CrossOptimizeAnalysisData> dataList=new ArrayList<>();

}

@Data
class CrossOptimizeAnalysisData  {

    @ApiModelProperty(value = "通行能力",example = "8900")
    private   Integer capacity ;

    @ApiModelProperty(value = "停车次数",example = "5")
    private   Double stopTimes ;

    @ApiModelProperty(value = "延误时间，单位秒",example = "40")
    private   Double delayTime ;

    @ApiModelProperty(value = "最大排队长度",example = "6.9")
    private   Double maxQueueLength ;


}



