package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class CrossProblemTotalityAnalysisResult extends ParentResult {

    private CrossProblemTotalityResultResponse content;

    public  CrossProblemTotalityResultResponse getContent() {
        return content;
    }

    public CrossProblemTotalityAnalysisResult setContent(CrossProblemTotalityResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  CrossProblemTotalityResultResponse {

    @ApiModelProperty(value = "本周溢出总次数", example = "20次",position = 1)
    private String weekOverFlowCount;
    @ApiModelProperty(value = "本周溢出总次数与上周比较情况", example = "增加【减少】10%",position = 2)
    private String weekOverFlowCountCompare;
    @ApiModelProperty(value = "本周溢出时长", example = "3.5小时",position = 3)
    private String weekOverFlowDuration;
    @ApiModelProperty(value = "本周溢出时长与上周比较情况", example = "增加【减少】13%",position = 4)
    private String weekOverFlowDurationCompare;

    @ApiModelProperty(value = "本周拥堵总次数", example = "20次",position = 5)
    private String weekCongestCount;
    @ApiModelProperty(value = "本周拥堵总次数与上周比较情况", example = "增加【减少】10%",position = 6)
    private String weekCongestCountCompare;
    @ApiModelProperty(value = "本周拥堵时长", example = "3.5小时",position = 7)
    private String weekCongestDuration;
    @ApiModelProperty(value = "本周拥堵时长与上周比较情况", example = "增加【减少】13%",position = 8)
    private String weekCongestDurationCompare;

    //================================================================================================//
    @ApiModelProperty(value = "本周总体效果情况", example = "明显提升",position = 9)
    private String weekTotalitySituation;

    private List<CrossProblemTotalityData> dataList=new ArrayList<>();

}

@Data
class CrossProblemTotalityData  {
    @ApiModelProperty(value = "数据类型：1次数 2时长",example = "1",position = 0)
    private   String dataType ;

    @ApiModelProperty(value = "本周溢出数值【次数或时长】",example = "8900",position = 0)
    private   String thisWeekOverFlowNumber ;
    @ApiModelProperty(value = "上周溢出数值【次数或时长】",example = "8900",position = 1)
    private   String lastWeekOverFlowNumber ;

    @ApiModelProperty(value = "本周拥堵数值【次数或时长】",example = "8900",position = 2)
    private   String thisWeekCongestNumber ;
    @ApiModelProperty(value = "上周拥堵数值【次数或时长】",example = "8900",position = 3)
    private   String lastWeekCongestNumber ;

    @ApiModelProperty(value = "本周失衡数值【次数或时长】",example = "8900",position = 4)
    private   String thisWeekUnbalanceNumber ;
    @ApiModelProperty(value = "上周失衡数值【次数或时长】",example = "8900",position = 5)
    private   String lastWeekUnbalanceNumber ;

    @ApiModelProperty(value = "本周空放数值【次数或时长】",example = "8900",position = 6)
    private   String thisWeekEmptyPassNumber ;
    @ApiModelProperty(value = "上周空放数值【次数或时长】",example = "8900",position = 7)
    private   String lastWeekEmptyPassNumber ;

}



