package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.List;

@Data
public class CrossRidLaneInfoResult extends ParentResult {

    private List<CrossRidLaneResultRespose> content;

    public  List<CrossRidLaneResultRespose> getContent() {
        return content;
    }

    public CrossRidLaneInfoResult setContent(List<CrossRidLaneResultRespose> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class CrossRidLaneResultRespose {
    @ApiModelProperty(value = "路口id" ,example = "13MHA0B5SJ0")
    private String crossId;
    @ApiModelProperty(value = "路口名称",example = "经十路与纬一路交叉口")
    private String crossName;
    @ApiModelProperty(value = "路口类型",example = "丁字口")
    private String type;
    @ApiModelProperty(value = "路口坐标" ,example = "117.221,38.2344")
    private String location;
    @ApiModelProperty(value = "道路车道数信息" )
    private List<CrossRidLaneVORespose> crossRidLaneList;

}

@Data
class CrossRidLaneVORespose {

    @ApiModelProperty(value = "车道名称" ,example = "旅游路")
    private String laneName;
    @ApiModelProperty(value = "车道走向",example = "东西走向")
    private String laneDir;
    @ApiModelProperty(value = "车道数" ,example = "1")
    private Integer laneNum;
    @ApiModelProperty(value = "车道方向数量" )
    private List<LaneDirNumVORespose> laneDirList;

}

@Data
class LaneDirNumVORespose {
    @ApiModelProperty(value = "车道进口方向" ,example = "1")
    private String laneInDir;
    @ApiModelProperty(value = "车道方向数量" ,example = "1")
    private Integer laneDirNum;
    @ApiModelProperty(value = "转向车道数量" ,example = "1直行,1直右")
    private String laneTurnNum;

}


