package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenReportProblemDetailAnalysis extends ParentResult {

    private List<GreenReportProblemDetailAnalysisResponse> content;

    public List<GreenReportProblemDetailAnalysisResponse> getContent() {
        return content;
    }

    public GreenReportProblemDetailAnalysis setContent(List<GreenReportProblemDetailAnalysisResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}


@Data
class GreenReportProblemDetailAnalysisResponse {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "经十路（舜耕路-山大路）")
    private String greenName;

    @ApiModelProperty(value = "干线工作日拥堵时段分布情况", example = "7:00~8:00,12:00~13:30,17:30~18:40")
    private String workDayCongestSpan;

    @ApiModelProperty(value = "干线工作日平均拥堵时长", example = "1小时")
    private String workDayAvgCongestTime;

    @ApiModelProperty(value = "干线工作日平均拥堵指数",example = "3.5")
    private   String workDayAvgCongestIndex;
    //================================================================================================//
    @ApiModelProperty(value = "干线工作日缓行时段分布情况", example = "7:00~8:00,12:00~13:30,17:30~18:40")
    private String workDaySlowRunSpan;

    @ApiModelProperty(value = "干线工作日平均缓行时长", example = "0.5小时")
    private String workDayAvgSlowRunTime;

    @ApiModelProperty(value = "干线工作日缓行平均拥堵指数",example = "3.5")
    private   String workDayAvgSlowAvgCongestIndex;
    //================================================================================================//


    @ApiModelProperty(value = "干线周末拥堵时段分布情况", example = "7:00~8:00,12:00~13:30,17:30~18:40")
    private String weekEndCongestSpan;

    @ApiModelProperty(value = "干线周末平均拥堵时长", example = "1小时")
    private String weekEndAvgCongestTime;

    @ApiModelProperty(value = "干线周末平均拥堵指数",example = "3.5")
    private   String weekEndAvgCongestIndex;
    //================================================================================================//
    @ApiModelProperty(value = "干线周末缓行时段分布情况", example = "7:00~8:00,12:00~13:30,17:30~18:40")
    private String weekEndSlowRunSpan;

    @ApiModelProperty(value = "干线周末平均缓行时长", example = "0.5小时")
    private String weekEndAvgSlowRunTime;

    @ApiModelProperty(value = "干线周末缓行平均拥堵指数",example = "3.5")
    private   String weekEndAvgSlowAvgCongestIndex;


    private List<GreenReportProblemDetail> dataList = new ArrayList<>();

}


@Data
class GreenReportProblemDetail {

    @ApiModelProperty(value = "星期", example = "周一")
    private String week;
    @ApiModelProperty(value = "问题时段", example = "7:35~8:40")
    private String problemSpan;
    @ApiModelProperty(value = "状态：缓行/拥堵", example = "拥堵")
    private String status;

    @ApiModelProperty(value = "拥堵指数", example = "4.5")
    private Double congestIndex;

    @ApiModelProperty(value = "平均速度", example = "10")
    private Integer avgSpeed;

    @ApiModelProperty(value = "行程时间，单位分钟", example = "10")
    private Integer travelTime;

}



