package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenReportRunStateResult extends ParentResult {

    private List<GreenReportRunStateResponse> content;

    public List<GreenReportRunStateResponse> getContent() {
        return content;
    }

    public GreenReportRunStateResult setContent(List<GreenReportRunStateResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}


@Data
class GreenReportRunStateResponse {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "经十路（舜耕路-山大路）")
    private String greenName;

    @ApiModelProperty(value = "本周早高峰时段集中情况", example = "7:30~8:30")
    private String weekAmPeakSpan;
    @ApiModelProperty(value = "本周早高峰时段开始时间同比（上周）情况", example = "提前20分钟")
    private String amStartSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段截止时间同比（上周）情况", example = "延后20分钟")
    private String amEndSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段持续时长", example = "45分钟")
    private String amDuration;
    @ApiModelProperty(value = "本周早高峰时段持续时长同比（上周）情况", example = "增加5分钟")
    private String amDurationSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰最大行程时间", example = "30分钟")
    private String amMaxTravelTime;
    @ApiModelProperty(value = "本周早高峰最大行程时间同比（上周）情况", example = "减少6分钟")
    private String amMaxTravelTimeSameRatioSituation;
    @ApiModelProperty(value = "平均拥堵指数", example = "4.5")
    private String amAvgContestIndex;
    @ApiModelProperty(value = "平均拥堵指数同比（上周）情况", example = "减少0.5")
    private String amAvgContestIndexSameRatioSituation;


    @ApiModelProperty(value = "本周早高峰时段集中情况", example = "7:30~8:30")
    private String weekPmPeakSpan;
    @ApiModelProperty(value = "本周早高峰时段开始时间同比（上周）情况", example = "提前20分钟")
    private String pmStartSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段截止时间同比（上周）情况", example = "延后20分钟")
    private String pmEndSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰时段持续时长", example = "45分钟")
    private String pmDuration;
    @ApiModelProperty(value = "本周早高峰时段持续时长同比（上周）情况", example = "增加5分钟")
    private String pmDurationSameRatioSituation;
    @ApiModelProperty(value = "本周早高峰最大行程时间", example = "30分钟")
    private String pmMaxTravelTime;
    @ApiModelProperty(value = "本周早高峰最大行程时间同比（上周）情况", example = "减少6分钟")
    private String pmMaxTravelTimeSameRatioSituation;
    @ApiModelProperty(value = "平均拥堵指数", example = "4.5")
    private String pmAvgContestIndex;
    @ApiModelProperty(value = "平均拥堵指数同比（上周）情况", example = "减少0.5")
    private String pmAvgContestIndexSameRatioSituation;



    private List<GreenReportRunStatedData> dataList = new ArrayList<>();

}


@Data
class GreenReportRunStatedData {

    @ApiModelProperty(value = "星期", example = "星期一")
    private String weekName;
    @ApiModelProperty(value = "峰期类型 早高峰、晚高峰、全天", example = "早高峰")
    private String peakName;

    @ApiModelProperty(value = "本周拥堵时段", example = "7:35~8:40")
    private String thisWeekCongestSpan;
    @ApiModelProperty(value = "上周拥堵时段", example = "7:50~8:40")
    private String lastWeekCongestSpan;

    @ApiModelProperty(value = "本周拥堵指数", example = "3.5")
    private Double thisWeekCongestIndex;
    @ApiModelProperty(value = "上周拥堵指数", example = "3.0")
    private Double lastWeekCongestIndex;

    @ApiModelProperty(value = "本周平均车速km/h", example = "30.5")
    private Double thisWeekAvgSpeed;

    @ApiModelProperty(value = "上周平均车速km", example = "30.2")
    private Double lastWeekAvgSpeed;

    @ApiModelProperty(value = "本周行程时间（分钟）", example = "6.5")
    private Double thisWeekTravelTime;

    @ApiModelProperty(value = "上周行程时间（分钟）", example = "-1.5%")
    private Double lastWeekTravelTime;
}


