package net.wanji.opt.vo2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo2.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class GreenReportSamePeriodCompareResult extends ParentResult {

    private List<GreenReportSamePeriodCompareDataResponse> content;

    public List<GreenReportSamePeriodCompareDataResponse> getContent() {
        return content;
    }

    public GreenReportSamePeriodCompareResult setContent(List<GreenReportSamePeriodCompareDataResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}


@Data
class GreenReportSamePeriodCompareDataResponse {

    @ApiModelProperty(value = "干线ID", example = "")
    private String greenId;

    @ApiModelProperty(value = "干线名称", example = "")
    private String greenName;

    @ApiModelProperty(value = "早高峰流量情况", example = "减少")
    private String amPeakSituation;

    @ApiModelProperty(value = "晚高峰流量情况", example = "减少")
    private String pmPeakSituation;

    @ApiModelProperty(value = "行程时间同比情况", example = "增加20s")
    private String amTravelTimeSituation;

    @ApiModelProperty(value = "行程时间同比情况", example = "减少20s")
    private String pmTravelTimeSituation;


    private List<GreenReportSamePeriodDataBody> dataList = new ArrayList<>();

}


@Data
class GreenReportSamePeriodDataBody {

    @ApiModelProperty(value = "峰期类型 早高峰、晚高峰、全天", example = "早高峰")
    private String peakName;

    @ApiModelProperty(value = "通行量（辆）", example = "736278")
    private Integer peakFlow;
    @ApiModelProperty(value = "通行量同比", example = "-1.5%")
    private Double peakFlowRatio;

    @ApiModelProperty(value = "拥堵指数", example = "3.5")
    private Double congestIndex;
    @ApiModelProperty(value = "拥堵指数同比", example = "3.5%")
    private Double congestIndexRatio;

    @ApiModelProperty(value = "平均车速km/h", example = "30.5")
    private Double avgSpeed;

    @ApiModelProperty(value = "平均车速同比", example = "-1.5%")
    private Double avgSpeedRatio;

    @ApiModelProperty(value = "行程时间（分钟）", example = "6.5")
    private Double travelTime;

    @ApiModelProperty(value = "行程时间同比", example = "-1.5%")
    private Double travelTimeRatio;
}


